package com.elab.spring.dao.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * http请求信息
 *
 * @author liukx
 * @Date 2020-06-17 17:26
 */
@Table(name = "mng_http_info")
@ApiModel(description = "http请求信息 实体")
public class MngHttpInfoEntity {

     /**
     * Id
     * 
     */
    @Id
    @ApiModelProperty(name = "id", value = "主键")
    private Integer id;

     /**
     * ProjectName
     * 
     */
    @Column(name = "project_name")
    @ApiModelProperty(name = "projectName", value = "ProjectName")
    private String projectName;

     /**
     * Url
     * 
     */
    @Column(name = "url")
    @ApiModelProperty(name = "url", value = "Url")
    private String url;

     /**
     * 请求状态 1 有效 0 超时 -1 服务连接不上
     * 
     */
    @Column(name = "req_status")
    @ApiModelProperty(name = "reqStatus", value = "请求状态 1 有效 0 超时 -1 服务连接不上")
    private Integer reqStatus;

     /**
     * 样本计算总数
     * 
     */
    @Column(name = "simple_count")
    @ApiModelProperty(name = "simpleCount", value = "样本计算总数")
    private Integer simpleCount;

     /**
     * 失败重试总数
     * 
     */
    @Column(name = "recovery_retry_count")
    @ApiModelProperty(name = "recoveryRetryCount", value = "失败重试总数")
    private Integer recoveryRetryCount;

     /**
     * 恢复（冷却）时间
     * 
     */
    @Column(name = "recovery_time")
    @ApiModelProperty(name = "recoveryTime", value = "恢复（冷却）时间")
    private Date recoveryTime;

     /**
     * CatId
     * 
     */
    @Column(name = "cat_id")
    @ApiModelProperty(name = "catId", value = "CatId")
    private String catId;

     /**
     * 状态：1  有效  -1  无效
     * 
     */
    @Column(name = "status")
    @ApiModelProperty(name = "status", value = "状态：1  有效  -1  无效")
    private Integer status;

     /**
     * 创建时间
     * 
     */
    @Column(name = "created")
    @ApiModelProperty(name = "created", value = "创建时间")
    private Date created;

     /**
     * 修改时间
     * 
     */
    @Column(name = "updated")
    @ApiModelProperty(name = "updated", value = "修改时间")
    private Date updated;

     /**
     * 创建者
     * 
     */
    @Column(name = "creator")
    @ApiModelProperty(name = "creator", value = "创建者")
    private String creator;

     /**
     * 修改者
     * 
     */
    @Column(name = "updator")
    @ApiModelProperty(name = "updator", value = "修改者")
    private String updator;


     /**
     * 获取: Id
     * 
     */
    public Integer getId() {
    return id;
    }
     /**
     * 设置: Id
     * 
     */
    public void setId(Integer id) {
    this.id = id;
    }
     /**
     * 获取: ProjectName
     * 
     */
    public String getProjectName() {
    return projectName;
    }
     /**
     * 设置: ProjectName
     * 
     */
    public void setProjectName(String projectName) {
    this.projectName = projectName;
    }
     /**
     * 获取: Url
     * 
     */
    public String getUrl() {
    return url;
    }
     /**
     * 设置: Url
     * 
     */
    public void setUrl(String url) {
    this.url = url;
    }
     /**
     * 获取: 请求状态 1 有效 0 超时 -1 服务连接不上
     * 
     */
    public Integer getReqStatus() {
    return reqStatus;
    }
     /**
     * 设置: 请求状态 1 有效 0 超时 -1 服务连接不上
     * 
     */
    public void setReqStatus(Integer reqStatus) {
    this.reqStatus = reqStatus;
    }
     /**
     * 获取: 样本计算总数
     * 
     */
    public Integer getSimpleCount() {
    return simpleCount;
    }
     /**
     * 设置: 样本计算总数
     * 
     */
    public void setSimpleCount(Integer simpleCount) {
    this.simpleCount = simpleCount;
    }
     /**
     * 获取: 失败重试总数
     * 
     */
    public Integer getRecoveryRetryCount() {
    return recoveryRetryCount;
    }
     /**
     * 设置: 失败重试总数
     * 
     */
    public void setRecoveryRetryCount(Integer recoveryRetryCount) {
    this.recoveryRetryCount = recoveryRetryCount;
    }
     /**
     * 获取: 恢复（冷却）时间
     * 
     */
    public Date getRecoveryTime() {
    return recoveryTime;
    }
     /**
     * 设置: 恢复（冷却）时间
     * 
     */
    public void setRecoveryTime(Date recoveryTime) {
    this.recoveryTime = recoveryTime;
    }
     /**
     * 获取: CatId
     * 
     */
    public String getCatId() {
    return catId;
    }
     /**
     * 设置: CatId
     * 
     */
    public void setCatId(String catId) {
    this.catId = catId;
    }
     /**
     * 获取: 状态：1  有效  -1  无效
     * 
     */
    public Integer getStatus() {
    return status;
    }
     /**
     * 设置: 状态：1  有效  -1  无效
     * 
     */
    public void setStatus(Integer status) {
    this.status = status;
    }
     /**
     * 获取: 创建时间
     * 
     */
    public Date getCreated() {
    return created;
    }
     /**
     * 设置: 创建时间
     * 
     */
    public void setCreated(Date created) {
    this.created = created;
    }
     /**
     * 获取: 修改时间
     * 
     */
    public Date getUpdated() {
    return updated;
    }
     /**
     * 设置: 修改时间
     * 
     */
    public void setUpdated(Date updated) {
    this.updated = updated;
    }
     /**
     * 获取: 创建者
     * 
     */
    public String getCreator() {
    return creator;
    }
     /**
     * 设置: 创建者
     * 
     */
    public void setCreator(String creator) {
    this.creator = creator;
    }
     /**
     * 获取: 修改者
     * 
     */
    public String getUpdator() {
    return updator;
    }
     /**
     * 设置: 修改者
     * 
     */
    public void setUpdator(String updator) {
    this.updator = updator;
    }
}
